<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbTaskLogTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_task_log', function(Blueprint $table)
		{
			$table->foreign('task_id', 'fk_tl_t')->references('id')->on('ab_task')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_task_log', function(Blueprint $table)
		{
			$table->dropForeign('fk_tl_t');
		});
	}

}
